# the external logic for pulling in patches

get_patches() {
  curl ftp://ftp.vim.org/pub/vim/patches/${_srcver}/MD5SUMS | sed -e \
    '/.gz$/d' > MD5SUMS
  _currpatch=$(cat MD5SUMS | wc -l)

  rsync -avzcP --exclude "*.gz" "ftp.nluug.nl::Vim/patches/${_srcver}/${_srcver}.*" .
  md5sum -c MD5SUMS > /dev/null || return 1

  > vim.full.patch.log
  for file in $(cat MD5SUMS | awk '{ print $2 }')
    do patch -d ${_versiondir} -p0 < $file >> vim.full.patch.log || return 1; done

  ########

  if [ ${_patchlevel} -lt ${_currpatch} ]; then
    echo ""
    echo -e "\t\tWARNING!"
    echo "You are not building the latest available version! A newer patchlevel"
    echo "seems to be available. Please edit the PKGBUILD and add the latest"
    echo "${_currpatch} as pkgrel number!"
    echo ""
    sleep 10
  fi
  return 0
}
